﻿#target Illustrator
if (app.documents.length > 0 ) {
    var doc = app.activeDocument;
	renameArtboards ();
    var docPath = doc.fullName;
	var docFolder = doc.fullName.path;
	var tempName = $.hiresTimer + "~@";
	var nf = new File (docFolder + "/" + String(tempName));
	splitAbToAI (nf, "1-"+String(doc.artboards.length));
	var files = Folder(docFolder).getFiles(tempName + "*.ai");
	var selector = true
	for ( var i =0; i < files.length; i++ ) {
		fName = String(files[i]).split(tempName + "_")[1];
		fPath = File (docFolder + "/" + tempName + "_" + fName);
		nfPath = File (docFolder + "/" + fName.substring(0, (fName.lastIndexOf("."))) + ".pdf");
		if (nfPath.exists) {
			nfPath.remove();
		};
		fPath.rename(nfPath);
	};
};

//Functions++++++++++++++++++++++++++++++++++++++++

function splitAbToAI (dest, ab) {
	if ( app.documents.length > 0 ) {
		var saveOptions = new IllustratorSaveOptions();
		var aiDoc = new File(dest);
		//saveOptions.compatibility = Compatibility.ILLUSTRATOR8;
		//saveOptions.flattenOutput = OutputFlattening.PRESERVEAPPEARANCE;
		saveOptions.saveMultipleArtboards = true;
		saveOptions.artboardRange = ab;
		app.activeDocument.saveAs( aiDoc, saveOptions );
	};
};

function renameArtboards () {
	for ( var a =0; a < doc.artboards.length; a++ ) {
		doc.artboards[a].name = doc.artboards[a].name
	};
};